--- a/scripts/urlgrab.pl
+++ b/scripts/urlgrab.pl
@@ -33,7 +33,7 @@
 	  Irssi::print("No url captured yet");
 	  return;
    }
-   system("netscape-remote -remote 'openURL($lasturl)' &>/dev/null");
+   system("sensible-browser $lasturl &>/dev/null");
 }
 
 sub find_url {
